Welcome Guest! To enable all features please Login or Register.

Notification

Icon
Error

Forum Jump  
PSA re: macOS Sierra and VE Pro Server
Last post Fri, Jan 20 2017 by Oscar Fogelström, 11 replies.
Options
Go to last post
Posted on Mon, Jul 25 2016 00:43
by dbudde
Joined on Sun, Mar 02 2003, Seattle,WA USA, Posts 470

If you reinstall VE Pro after upgrading to macOS Sierra (public beta) then you will get a crash due to code signing errors when running VE Pro Server (either 32- or 64-bit).  This is due to a more strict code signing process that needs to be addressed by developers.  

This can be fixed by codesigning the apps locally.  You can do this by executing the following terminal commands:

sudo codesign -f -s - /Applications/Vienna\ Ensemble\ Pro/Vienna\ Ensemble\ Pro\ Server.app/Contents/MacOS/Vienna\ Ensemble\ Pro

 

 

sudo codesign -f -s - /Applications/Vienna\ Ensemble\ Pro/Vienna\ Ensemble\ Pro\ Server\ \(64-bit\).app/Contents/MacOS/Vienna\ Ensemble\ Pro

Posted on Tue, Aug 02 2016 16:21
by dbudde
Joined on Sun, Mar 02 2003, Seattle,WA USA, Posts 470

This is still an issue with VE Pro 6.  Same solution as listed above works.  

Posted on Mon, Oct 31 2016 17:47
by J.H.
Joined on Mon, Jun 02 2014, USA, Posts 26

Just upgraded to Sierra and my VE Pro 5 servers are still crashing continously, even after running the two terminal commands you posted. Any other ideas?

Posted on Mon, Oct 31 2016 20:48
by dbudde
Joined on Sun, Mar 02 2003, Seattle,WA USA, Posts 470

This problem was fixed for VE Pro 6.  You might want to ask support if VE Pro 5 supports macOS Sierra.

Posted on Mon, Oct 31 2016 21:05
by J.H.
Joined on Mon, Jun 02 2014, USA, Posts 26

Good to hear, thanks for the response. I actually did purchase VE Pro 6 shortly after posting my above question... and now eLicenser Control Center is crashing on me every time I try to enter my new Activation Code (so now there's a new problem preventing me from running VE Pro). Have been troubleshooting this now for awhile with no avail. It's just one of those days.

Posted on Tue, Nov 01 2016 09:43
by Paul
Joined on Sat, Aug 03 2002, Vienna, Posts 13437

Hi jhilsen01, 

Please check that you are using the latest versions of VE PRO and eLCC.

Do you get any crash reports or error messages? Please send those to , maybe we can find out more. No known troubles with OS Sierra. 

Best, 
Paul

Paul Kopf
Product Manager - Vienna Symphonic Library
Posted on Tue, Nov 01 2016 15:21
by J.H.
Joined on Mon, Jun 02 2014, USA, Posts 26

Hey Paul, thanks for the comment. Getting the latest versions of VE Pro and eLCC was the first thing I tried and that did not resolve the issue. I sent my eLCC crash report to Steinberg and am waiting to hear back from them.

My solution to get everything working for me in the meantime was this: buy VE Pro 6, and install eLCC on a friend's computer so I could put the license on my USB dongle through that.

Posted on Tue, Nov 15 2016 11:49
by C_Caouette
Joined on Thu, Mar 11 2004, Posts 172

I am getting hard crashes with VEP6 AU plugin with LPX (all latest version os OSX and VEP).  The crash always happens when I open the plugin window.  This is not consistant but when the crash does happen it always reports VEP as the culprit.  

I also noticed that running Play5 VST on this mac inside the VEP server causes a crash.  That is possibly a play issue but regardless one must avoid Play5 VST on the OSX side in VEP.

MP5,1 12 core 64gigs of ram.  

Chris

Posted on Tue, Nov 15 2016 13:08
by Paul
Joined on Sat, Aug 03 2002, Vienna, Posts 13437

Hi Chris, 

Thanks for reporting.

As always: Please send the crash report with a short reference to this thread to !

Of course we assume that you are also using the latest version of PLAY (please confirm, with version number). 

Thanks, 
Paul

Paul Kopf
Product Manager - Vienna Symphonic Library
Posted on Tue, Nov 15 2016 14:27
by C_Caouette
Joined on Thu, Mar 11 2004, Posts 172
Thanks Paul. I will send those tonight. Yes play is newest version which is 5.0. The VST crash on mac has been duplicated and confirmed by other users. I'm more concerned with the LPX crash.
Chris
Posted on Fri, Jan 20 2017 16:06
by Oscar Fogelström
Joined on Tue, Nov 01 2016, Sweden, Posts 11

I am having the same issue. VEP6 just keeps crashing on start after updating to Sierra.

tried to codesign the app, but got this:

"Oscars-Mac-Pro:~ Oscar$ sudo codesign -f -s - /Applications/Vienna\ Ensemble\ Pro/Vienna\ Ensemble\ Pro\ Server.app/Contents/MacOS/Vienna\ Ensemble\ Pro --deep

/Applications/Vienna Ensemble Pro/Vienna Ensemble Pro Server.app/Contents/MacOS/Vienna Ensemble Pro: replacing existing signature

xcrun: error: invalid active developer path (/Library/Developer/CommandLineTools), missing xcrun at: /Library/Developer/CommandLineTools/usr/bin/xcrun

/Applications/Vienna Ensemble Pro/Vienna Ensemble Pro Server.app/Contents/MacOS/Vienna Ensemble Pro: the codesign_allocate helper tool cannot be found or used

In subcomponent: /Applications/Vienna Ensemble Pro/Vienna Ensemble Pro Server.app/Contents/PlugIns/bearer/libqcorewlanbearer.dylib"

 

Originally Posted by: dbudde Go to Quoted Post

If you reinstall VE Pro after upgrading to macOS Sierra (public beta) then you will get a crash due to code signing errors when running VE Pro Server (either 32- or 64-bit).  This is due to a more strict code signing process that needs to be addressed by developers.  

This can be fixed by codesigning the apps locally.  You can do this by executing the following terminal commands:

sudo codesign -f -s - /Applications/Vienna\ Ensemble\ Pro/Vienna\ Ensemble\ Pro\ Server.app/Contents/MacOS/Vienna\ Ensemble\ Pro

 

 

sudo codesign -f -s - /Applications/Vienna\ Ensemble\ Pro/Vienna\ Ensemble\ Pro\ Server\ \(64-bit\).app/Contents/MacOS/Vienna\ Ensemble\ Pro

OSX 10.10.5
Logic 10.2.4
VEP 6.0.15563
2 x 2,4 GHz 6-Core Intel Xeon (2012 Tower Mac Pro)
You cannot post new threads in this forum.
You cannot reply to threads in this forum.
You cannot delete your posts in this forum.
You cannot edit your posts in this forum.
You cannot create polls in this forum.
You cannot vote in polls in this forum.